# $Id: smeserver-unifi.spec,v 1.3 2018/03/09 18:39:15 jpp Exp $
# Authority: unnilennium
# Name: Jean-Philippe Pialasse 

Summary: smeserver-unifi
%define name smeserver-unifi
%define version 5.6.30
%define release 1
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tgz
Patch0: smeserver-unifi-5.6.30-smeserverSteveJenkins.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: e-smith-devtools >= 1.13.1-03
Requires: smeserver-release >= 9.0
Requires: redhat-lsb
Requires: scl-utils
Requires: rh-mongodb34-runtime
Requires: rh-mongodb34-mongodb-server
Requires: rh-mongodb34-mongodb
Requires: java-1.8.0-openjdk

%description
Integration package for Ubiquiti Unifi controller on Koozali SME Server.

%prep
%setup
%patch0 -p1

%build
/usr/bin/perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
	--dir /opt/UniFi 'attr(660,ubnt,ubnt)' \
	--dir /opt/UniFi_bak 'attr(660,ubnt,ubnt)' \
	> %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root,-)

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%{_sbindir}/useradd -m -d /opt/UniFi ubnt >& /dev/null || :


%post

%changelog
* Fri Mar 09 2018 Jean-Philipe Pialasse <tests@pialasse.com> 5.6.30-1.sme
- initial release

